Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233307 - RHEL5: /sbin/scsi_id.static is missing in udev rpm
Summary: RHEL5: /sbin/scsi_id.static is missing in udev rpm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: udev
Version: 5.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On: 236242
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-21 15:25 UTC by Thomas von Steiger
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHBA-2007-0404
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 18:08:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0404 normal SHIPPED_LIVE udev bug fix update 2007-10-30 23:01:42 UTC

Description Thomas von Steiger 2007-03-21 15:25:52 UTC
Description of problem:
We have a SAN Storage only Environment in our Blade platform.
For this we need to boot with multipath support.
We have done the same with RHEl3 and RHEL4.
Now we need to setup multipath boot for RHEL5 bevor we can start with RHEL5.
For this we have write a patch. The Problem now, we can not write the initrd.img
becose /sbin/scsi_id.static is missing in udev rpm. /sbin/scsi_id.static is only
to map scsi id to a alias name (/etc/multipatch.conf) at boot time.

Version-Release number of selected component (if applicable):
095-14.5.el5


How reproducible:
Install udev-095-14.5.el5

Steps to Reproduce:
1. Kickstart Server
2. Rebuild to Full Multipath Support
3.
  
Actual results:
Boot with alias Name from multipath device failed. --> Kernel Panic


Expected results:
Success Boot with RHEL5 from multipath Device.


Additional info:
To fix add /sbin/scsi_id.static to udev rpm.
https://rhn.redhat.com/errata/RHBA-2005-388.html

Comment 1 Thomas von Steiger 2007-03-21 15:41:26 UTC
I forgotte somthing:

In /etc/multipath.conf there is by default:
getuid_callout          "/sbin/scsi_id -g -u -s /block/%n"

For exactly this we need a static version of scsi_id to add this tool to initrd.img.



Comment 2 Bryn M. Reeves 2007-04-12 16:58:33 UTC
Please see the ChangeLog for udev:

* Fri Nov 11 2005 Harald Hoyer <harald@redhat.com> - 075-2
- moved /etc/udev/scripts to /lib/udev
- moved /etc/udev/devices to /lib/udev/devices
- added new event replay for kernel >= 2.6.15
- added usb devices
- renamed cpu device to cpuid (bug #161538)
- changed vendor string "Onstream" to "On[sS]tream" (bug #173043)
- compiled all *_id programs statically

So, from udev-075-2, all the *_id programs /should/ be statically linked and the
separate .static versions go away, meaning that scripts no longer have to care
which versions they should be calling.

Right now there is a bug in the spec file that causes this not to work right,
meaning that currently only vol_id is getting statically linked.

See bug 236242 for more information.


Comment 4 RHEL Product and Program Management 2007-04-25 20:37:40 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Phil Knirsch 2007-05-02 13:00:05 UTC
Important fix that also fixes #236242, Devel-ACK.

Read ya, Phil

Comment 9 Harald Hoyer 2007-06-13 12:14:50 UTC
You may try:
http://people.redhat.com/harald/downloads/udev/udev-095-14.9.el5/

Comment 12 errata-xmlrpc 2007-11-07 18:08:12 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0404.html



Note You need to log in before you can comment on or make changes to this bug.